### Method

# ICalGLib RecurIterator set_start

since: 3.0

#### Declaration [src]

    gboolean
    i_cal_recur_iterator_set_start (
      ICalRecurIterator* iterator,
      ICalTime* start
    )

#### Description [src]

Sets the date-time at which the iterator will start, where ‘start’ is a value between DTSTART and UNTIL. Note: CAN NOT be used with RRULEs that contain COUNT.

Available since: 3.0

#### Parameters

`start`

  Type: `ICalTime`

  The date-time to move the iterator to.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

True if succeeded, false failed, like when the recurrence type is unsupported.